Upstream information

CVE-2014-0138 at MITRE

Description

The default configuration in cURL and libcurl 7.10.6 before 7.36.0 re-uses (1) SCP, (2) SFTP, (3) POP3, (4) POP3S, (5) IMAP, (6) IMAPS, (7) SMTP, (8) SMTPS, (9) LDAP, and (10) LDAPS connections, which might allow context-dependent attackers to connect as other users via a request, a similar issue to CVE-2014-0015.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.4
Vector AV:N/AC:L/Au:N/C:P/I:P/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entries: 868627 [RESOLVED / FIXED], 880252 [RESOLVED / FIXED], 882520 [CLOSED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • curl >= 7.19.7-1.38.1
  • libcurl4 >= 7.19.7-1.38.1
  • libcurl4-32bit >= 7.19.7-1.38.1
Patchnames:
sledsp3-curl
SUSE Linux Enterprise Desktop 12
  • curl >= 7.37.0-2.5
  • libcurl4 >= 7.37.0-2.5
  • libcurl4-32bit >= 7.37.0-2.5
Patchnames:
SUSE Linux Enterprise Desktop 12 GA curl
SUSE Linux Enterprise Desktop 12 SP1
  • curl >= 7.37.0-15.1
  • libcurl4 >= 7.37.0-15.1
  • libcurl4-32bit >= 7.37.0-15.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA curl
SUSE Linux Enterprise Desktop 12 SP2
  • curl >= 7.37.0-28.1
  • libcurl4 >= 7.37.0-28.1
  • libcurl4-32bit >= 7.37.0-28.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA curl
SUSE Linux Enterprise Desktop 12 SP3
  • curl >= 7.37.0-36.1
  • libcurl4 >= 7.37.0-36.1
  • libcurl4-32bit >= 7.37.0-36.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA curl
SUSE Linux Enterprise Module for Basesystem 15
  • curl >= 7.60.0-1.1
  • libcurl-devel >= 7.60.0-1.1
  • libcurl4 >= 7.60.0-1.1
  • libcurl4-32bit >= 7.60.0-1.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA curl
SUSE Linux Enterprise Server 11 SP3
  • curl >= 7.19.7-1.38.1
  • libcurl4 >= 7.19.7-1.38.1
  • libcurl4-32bit >= 7.19.7-1.38.1
  • libcurl4-x86 >= 7.19.7-1.38.1
Patchnames:
slessp3-curl
SUSE Linux Enterprise Server 11 SP4
  • curl >= 7.19.7-1.42.1
  • libcurl4 >= 7.19.7-1.42.1
  • libcurl4-32bit >= 7.19.7-1.42.1
  • libcurl4-x86 >= 7.19.7-1.42.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA curl
SUSE Linux Enterprise Server 11-SECURITY
  • curl-openssl1 >= 7.19.7-1.55.1
  • libcurl4-openssl1 >= 7.19.7-0.38.1
  • libcurl4-openssl1-32bit >= 7.19.7-0.38.1
Patchnames:
SUSE Linux Enterprise Server 11-SECURITY GA curl-openssl1
SUSE Linux Enterprise Server 11-SECURITY GA libcurl4-openssl1-32bit
SUSE Linux Enterprise Server 12
  • curl >= 7.37.0-2.5
  • libcurl4 >= 7.37.0-2.5
  • libcurl4-32bit >= 7.37.0-2.5
Patchnames:
SUSE Linux Enterprise Server 12 GA curl
SUSE Linux Enterprise Server 12 SP1
  • curl >= 7.37.0-15.1
  • libcurl4 >= 7.37.0-15.1
  • libcurl4-32bit >= 7.37.0-15.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA curl
SUSE Linux Enterprise Server 12 SP2
  • curl >= 7.37.0-28.1
  • libcurl4 >= 7.37.0-28.1
  • libcurl4-32bit >= 7.37.0-28.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA curl
SUSE Linux Enterprise Server 12 SP3
  • curl >= 7.37.0-36.1
  • libcurl4 >= 7.37.0-36.1
  • libcurl4-32bit >= 7.37.0-36.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA curl
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • curl >= 7.37.0-28.1
  • libcurl4 >= 7.37.0-28.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA curl
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • curl >= 7.19.7-1.38.1
  • libcurl4 >= 7.19.7-1.38.1
  • libcurl4-32bit >= 7.19.7-1.38.1
  • libcurl4-x86 >= 7.19.7-1.38.1
Patchnames:
slessp3-curl
SUSE Linux Enterprise Server for VMWare 11 SP3
  • curl >= 7.19.7-1.38.1
  • libcurl4 >= 7.19.7-1.38.1
  • libcurl4-32bit >= 7.19.7-1.38.1
  • libcurl4-x86 >= 7.19.7-1.38.1
Patchnames:
slessp3-curl
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libcurl-devel >= 7.19.7-1.38.1
Patchnames:
sdksp3-curl
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libcurl-devel >= 7.19.7-1.42.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libcurl-devel
SUSE Linux Enterprise Software Development Kit 12
  • libcurl-devel >= 7.37.0-2.5
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA libcurl-devel
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libcurl-devel >= 7.37.0-15.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libcurl-devel
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libcurl-devel >= 7.37.0-28.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libcurl-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libcurl-devel >= 7.37.0-36.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libcurl-devel
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libcurl-devel >= 7.19.7-1.38.1
Builds
SAT Patch Nr: 9133
SUSE Linux Enterprise Desktop 11 SP3
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • curl >= 7.19.7-1.38.1
  • libcurl4 >= 7.19.7-1.38.1
Builds
SAT Patch Nr: 9133
SUSE Linux Enterprise Desktop 11 SP3
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • curl >= 7.19.7-1.38.1
  • libcurl4 >= 7.19.7-1.38.1
  • libcurl4-32bit >= 7.19.7-1.38.1
Builds
SAT Patch Nr: 9133
SUSE Linux Enterprise Server 11 SP3
  • curl >= 7.19.7-1.38.1
  • libcurl4 >= 7.19.7-1.38.1
  • libcurl4-x86 >= 7.19.7-1.38.1
Builds
SAT Patch Nr: 9133
SUSE Linux Enterprise Software Development Kit 11 SP3
  • openldap2 >= 2.4.26-0.28.5
  • openldap2-back-perl >= 2.4.26-0.28.5
  • openldap2-devel >= 2.4.26-0.28.5
SAT Patch Nr: 9139
SUSE Linux Enterprise Software Development Kit 11 SP3
  • openldap2-back-perl >= 2.4.26-0.28.5
  • openldap2-devel >= 2.4.26-0.28.5
SAT Patch Nr: 9139
SUSE Linux Enterprise Software Development Kit 11 SP3
  • openldap2-back-perl >= 2.4.26-0.28.5
  • openldap2-devel >= 2.4.26-0.28.5
  • openldap2-devel-32bit >= 2.4.26-0.28.5
SAT Patch Nr: 9139
SUSE Linux Enterprise Software Development Kit 11 SP3
  • openldap2 >= 2.4.26-0.28.5
  • openldap2-back-perl >= 2.4.26-0.28.5
  • openldap2-devel >= 2.4.26-0.28.5
  • openldap2-devel-32bit >= 2.4.26-0.28.5
SAT Patch Nr: 9139
SUSE Linux Enterprise Desktop 11 SP3
  • libldap-2_4-2 >= 2.4.26-0.28.5
  • openldap2-client >= 2.4.26-0.28.5
SAT Patch Nr: 9139
SUSE Linux Enterprise Desktop 11 SP3
  • libldap-2_4-2 >= 2.4.26-0.28.5
  • libldap-2_4-2-32bit >= 2.4.26-0.28.5
  • openldap2-client >= 2.4.26-0.28.5
SAT Patch Nr: 9139
SUSE Linux Enterprise Security Module 11 SP3
  • cyrus-sasl-openssl1 >= 2.1.22-0.27.6
  • cyrus-sasl-openssl1-crammd5 >= 2.1.22-0.27.6
  • cyrus-sasl-openssl1-digestmd5 >= 2.1.22-0.27.6
  • cyrus-sasl-openssl1-gssapi >= 2.1.22-0.27.6
  • cyrus-sasl-openssl1-ntlm >= 2.1.22-0.27.6
  • cyrus-sasl-openssl1-otp >= 2.1.22-0.27.6
  • cyrus-sasl-openssl1-plain >= 2.1.22-0.27.6
  • libcurl4-openssl1 >= 7.19.7-0.38.1
  • libldap-openssl1-2_4-2 >= 2.4.26-0.28.8
SAT Patch Nr: 9139
SUSE Linux Enterprise Security Module 11 SP3
  • cyrus-sasl-openssl1 >= 2.1.22-0.27.6
  • cyrus-sasl-openssl1-crammd5 >= 2.1.22-0.27.6
  • cyrus-sasl-openssl1-digestmd5 >= 2.1.22-0.27.6
  • cyrus-sasl-openssl1-gssapi >= 2.1.22-0.27.6
  • cyrus-sasl-openssl1-ntlm >= 2.1.22-0.27.6
  • cyrus-sasl-openssl1-otp >= 2.1.22-0.27.6
  • cyrus-sasl-openssl1-plain >= 2.1.22-0.27.6
  • cyrus-sasl-openssl1-x86 >= 2.1.22-0.27.6
  • libcurl4-openssl1 >= 7.19.7-0.38.1
  • libcurl4-openssl1-x86 >= 7.19.7-0.38.1
  • libldap-openssl1-2_4-2 >= 2.4.26-0.28.8
  • libldap-openssl1-2_4-2-x86 >= 2.4.26-0.28.8
SAT Patch Nr: 9139
SUSE Linux Enterprise Security Module 11 SP3
  • cyrus-sasl-openssl1 >= 2.1.22-0.27.6
  • cyrus-sasl-openssl1-32bit >= 2.1.22-0.27.6
  • cyrus-sasl-openssl1-crammd5 >= 2.1.22-0.27.6
  • cyrus-sasl-openssl1-digestmd5 >= 2.1.22-0.27.6
  • cyrus-sasl-openssl1-gssapi >= 2.1.22-0.27.6
  • cyrus-sasl-openssl1-ntlm >= 2.1.22-0.27.6
  • cyrus-sasl-openssl1-otp >= 2.1.22-0.27.6
  • cyrus-sasl-openssl1-plain >= 2.1.22-0.27.6
  • libcurl4-openssl1 >= 7.19.7-0.38.1
  • libcurl4-openssl1-32bit >= 7.19.7-0.38.1
  • libldap-openssl1-2_4-2 >= 2.4.26-0.28.8
  • libldap-openssl1-2_4-2-32bit >= 2.4.26-0.28.8
SAT Patch Nr: 9139
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • compat-libldap-2_3-0 >= 2.3.37-2.28.5
  • libldap-2_4-2 >= 2.4.26-0.28.5
  • openldap2 >= 2.4.26-0.28.5
  • openldap2-back-meta >= 2.4.26-0.28.5
  • openldap2-client >= 2.4.26-0.28.5
SAT Patch Nr: 9139
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • compat-libldap-2_3-0 >= 2.3.37-2.28.5
  • libldap-2_4-2 >= 2.4.26-0.28.5
  • libldap-2_4-2-32bit >= 2.4.26-0.28.5
  • openldap2 >= 2.4.26-0.28.5
  • openldap2-back-meta >= 2.4.26-0.28.5
  • openldap2-client >= 2.4.26-0.28.5
SAT Patch Nr: 9139
SUSE Linux Enterprise Server 11 SP3
  • compat-libldap-2_3-0 >= 2.3.37-2.28.5
  • libldap-2_4-2 >= 2.4.26-0.28.5
  • libldap-2_4-2-x86 >= 2.4.26-0.28.5
  • openldap2 >= 2.4.26-0.28.5
  • openldap2-back-meta >= 2.4.26-0.28.5
  • openldap2-client >= 2.4.26-0.28.5
SAT Patch Nr: 9139
openSUSE 12.3
  • curl >= 7.28.1-4.39.1
  • curl-debuginfo >= 7.28.1-4.39.1
  • curl-debugsource >= 7.28.1-4.39.1
  • libcurl-devel >= 7.28.1-4.39.1
  • libcurl4 >= 7.28.1-4.39.1
  • libcurl4-32bit >= 7.28.1-4.39.1
  • libcurl4-debuginfo >= 7.28.1-4.39.1
  • libcurl4-debuginfo-32bit >= 7.28.1-4.39.1
Patchnames:
openSUSE-2014-329
openSUSE 13.1
  • curl >= 7.32.0-2.23.1
  • curl-debuginfo >= 7.32.0-2.23.1
  • curl-debugsource >= 7.32.0-2.23.1
  • libcurl-devel >= 7.32.0-2.23.1
  • libcurl4 >= 7.32.0-2.23.1
  • libcurl4-32bit >= 7.32.0-2.23.1
  • libcurl4-debuginfo >= 7.32.0-2.23.1
  • libcurl4-debuginfo-32bit >= 7.32.0-2.23.1
Patchnames:
openSUSE-2014-329
openSUSE Leap 15.0
  • curl >= 7.59.0-lp150.1.1
  • libcurl4 >= 7.59.0-lp150.1.1
  • libcurl4-32bit >= 7.59.0-lp150.1.1
Patchnames:
openSUSE Leap 15.0 GA curl
openSUSE Leap 42.1
  • curl >= 7.37.0-5.2
  • libcurl-devel >= 7.37.0-5.2
  • libcurl4 >= 7.37.0-5.2
Patchnames:
openSUSE Leap 42.1 GA curl
openSUSE Leap 42.2
  • curl >= 7.37.0-15.1
  • libcurl-devel >= 7.37.0-15.1
  • libcurl4 >= 7.37.0-15.1
Patchnames:
openSUSE Leap 42.2 GA curl
openSUSE Leap 42.3
  • curl >= 7.37.0-18.5
  • libcurl-devel >= 7.37.0-18.5
  • libcurl4 >= 7.37.0-18.5
Patchnames:
openSUSE Leap 42.3 GA curl
openSUSE Tumbleweed
  • curl >= 7.51.0-1.1
  • libcurl-devel >= 7.51.0-1.1
  • libcurl-devel-32bit >= 7.51.0-1.1
  • libcurl4 >= 7.51.0-1.1
  • libcurl4-32bit >= 7.51.0-1.1
Patchnames:
openSUSE Tumbleweed GA curl


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 curl Released
SUSE Linux Enterprise Desktop 11 SP1 curl Released
SUSE Linux Enterprise Desktop 11 SP3 curl Released
SUSE Linux Enterprise SDK 11 SP1 curl Released
SUSE Linux Enterprise SDK 11 SP3 curl Released
SUSE Linux Enterprise Server 10 SP3 curl Released
SUSE Linux Enterprise Server 11 SP1 curl Released
SUSE Linux Enterprise Server 11 SP1 LTSS curl Released
SUSE Linux Enterprise Server 11 SP3 curl Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 curl Released
SUSE Linux Enterprise Server for VMWare 11 SP3 curl Released
SUSE Studio Onsite 1.3 curl Released